Subject: Re: Which Mingw32 to use?
From: [email-masked] (Earnie Boyd)

2 May 1998 23:25:13 -0700
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Edward Avis <[email-masked]>, [email-masked]

Hi Edward,

I've been extensively using Mingw32.  I've looked at EGCS at had some
success with version 1.01.

Here's how I've structured the directories for the different packages:

mkdir c:\root
#Then put each package under root
c:\root\cygnus
c:\root\egcs
c:\root\mingw32
#Create a bin directory
mkdir c:\root\bin
#Create three .BAT files and use these to initialize the sessions.
c:\root\bin\cygnus.bat
c:\root\bin\egcs.bat
c:\root\bin\mingw32.bat

For mingw32 and the egcs-mingw32 you need to:
SET CYGWIN32=notty nobinmode notitle
SET MAKE_MODE=unix  (if you plan to use make files with UNIX style
delimiters)
mount the c:\root\egcs and c:\root\mingw32 as text!=binary.

for cygnus I suggest:
SET CYGWIN32=tty binmode notitle
mount all directories that you plan to use for the cygnus version as
text=binary

If you don't understand this, search the archives, you'll get tons of
info.

Hope I've been of some help.

---Edward Avis <[email-masked]> wrote:
>
> I have Cygwin32 B19.1, Sergey Okhapin's latest coolview and Mumit
Khan's 
> egcs 1.02 for Cygwin32 installed and everything seems to work fine.
> 
> I've looked at Colin Peter's Mingw32 page, and Mumit Khan's egcs for 
> Mingw32 page, but I'm not sure which suits my needs.
> 
> I want to be able to compile native Windows applications (including
GUI 
> apps) using gcc, without spoiling my existing Cygwin32 setup.  I
don't mind 
> changing environment variables to switch between different versions
of gcc, 
> however.
> 
> Which should I use?
> 
> --
> Ed Avis
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".